/*
 	File:		CMPRComponent.h
 
 	Contains:	ColorSync ProfileResponder Components Interface 
 
 	Version:	Technology:	ColorSync 2.0
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
*/
#ifndef __CMPRCOMPONENT__
#define __CMPRCOMPONENT__

#ifndef __TYPES__
#include <Types.h>
#endif
#ifndef __QUICKDRAW__
#include <Quickdraw.h>
#endif
#ifndef __COMPONENTS__
#include <Components.h>
#endif
#ifndef __CMAPPLICATION__
#include <CMApplication.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

#if FOR_SYSTEM7_AND_SYSTEM8_COOPERATIVE

enum {
	CMPRInterfaceVersion		= 0
};

/* Component function selectors */

enum {
	kCMPRGetProfile				= 0,
	kCMPRSetProfile				= 1,
	kCMPRSetProfileDescription	= 2,
	kCMPRGetIndexedProfile		= 3,
	kCMPRDeleteDeviceProfile	= 4
};

extern pascal CMError CMGetProfile(ComponentInstance pr, CMProfileHandle aProfile, CMProfileHandle *returnedProfile)
 FIVEWORDINLINE(0x2F3C, 0x0008, 0x0000, 0x7000, 0xA82A);

extern pascal CMError CMSetProfile(ComponentInstance pr, CMProfileHandle newProfile)
 FIVEWORDINLINE(0x2F3C, 0x0004, 0x0001, 0x7000, 0xA82A);

extern pascal CMError CMSetProfileDescription(ComponentInstance pr, long DeviceData, CMProfileHandle hProfile)
 FIVEWORDINLINE(0x2F3C, 0x0008, 0x0002, 0x7000, 0xA82A);

extern pascal CMError CMGetIndexedProfile(ComponentInstance pr, CMProfileSearchRecordHandle search, CMProfileHandle *returnProfile, long *index)
 FIVEWORDINLINE(0x2F3C, 0x000C, 0x0003, 0x7000, 0xA82A);

extern pascal CMError CMDeleteDeviceProfile(ComponentInstance pr, CMProfileHandle deleteMe)
 FIVEWORDINLINE(0x2F3C, 0x0004, 0x0004, 0x7000, 0xA82A);

#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#ifdef __cplusplus
}
#endif

#endif /* __CMPRCOMPONENT__ */

